QXmppIncomingServer Class Reference

The QXmppIncomingServer class represents an incoming XMPP stream from an XMPP server. More...

`#include <QXmppIncomingServer.h>`

Inheritance diagram for QXmppIncomingServer:
[legend]
Collaboration diagram for QXmppIncomingServer:
[legend]

## Signals

void | dialbackRequestReceived (const QXmppDialback &result)
| This signal is emitted when a dialback verify request is received.
void | elementReceived (const QDomElement &element)
| This signal is emitted when an element is received.
Signals inherited from QXmppStream
void | connected ()
| This signal is emitted when the stream is connected.
void | disconnected ()
| This signal is emitted when the stream is disconnected.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppIncomingServer (QSslSocket *socket, const QString &domain, QObject *parent)
| ~QXmppIncomingServer ()
| Destroys the current stream.
bool | isConnected () const
QString | localStreamId () const
Public Member Functions inherited from QXmppStream
| QXmppStream (QObject *parent)
| ~QXmppStream ()
| Destroys a base XMPP stream.
bool | sendPacket (const QXmppStanza &)
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Friends

class | QXmppIncomingServerPrivate

## Additional Inherited Members

Public Slots inherited from QXmppStream
virtual void | disconnectFromHost ()
virtual bool | sendData (const QByteArray &)
Protected Member Functions inherited from QXmppStream
QSslSocket * | socket () const
void | setSocket (QSslSocket *socket)
virtual void | handleStart ()
virtual void | handleStanza (const QDomElement &element)=0
virtual void | handleStream (const QDomElement &element)=0
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppIncomingServer class represents an incoming XMPP stream from an XMPP server.

## Constructor & Destructor Documentation

QXmppIncomingServer::QXmppIncomingServer | ( | QSslSocket * | socket,
|  | const QString & | domain,
|  | QObject * | parent
| ) |  |

Constructs a new incoming server stream.

Parameters

  socket | The socket for the XMPP stream.
  domain | The local domain.
  parent | The parent QObject for the stream (optional).

## Member Function Documentation

bool QXmppIncomingServer::isConnected | ( |  | ) | const

virtual

Returns true if the socket is connected and the remote server is authenticated.

Reimplemented from QXmppStream.

QString QXmppIncomingServer::localStreamId | ( |  | ) | const

Returns the stream's identifier.

The documentation for this class was generated from the following files:

- QXmppIncomingServer.h
- QXmppIncomingServer.cpp